<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1,
            shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Cafe Latte - Create Employee</title>
    <link href=".createTimesheet.css">
    <!-- Bootstrap core CSS -->
    <link href="../vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <!-- Custom fonts for this template -->
    <link
        href="https://fonts.googleapis.com/css?family=Raleway:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Lora:400,400i,700,700i" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="../css/business-casual.min.css" rel="stylesheet">

</head>

<body>

    <h1 class="site-heading text-center text-white d-none d-lg-block">
        <span class="site-heading-upper text-primary mb-3">Welcome to the </span>
        <span class="site-heading-lower">Admin Cafe</span>
    </h1>

     <!-- Navigation -->
     <nav class="navbar navbar-expand-lg navbar-dark py-lg-4" id="mainNav">
        <div class="container">
            <a class="navbar-brand text-uppercase text-expanded font-weight-bold d-lg-none" href="#">employee cafe -
                Timesheets</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive"
                aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav mx-auto">
                    <li class="nav-item px-lg-4">
                        <a class="nav-link text-uppercase text-expanded" href="employeeCafe.html">Employee Cafe
                            <!-- <span class="sr-only">(current)</span> -->
                        </a>
                    </li>
                    <li class="nav-item px-lg-4">
                        <a class="nav-link text-uppercase text-expanded" href="#">Profile</a>
                    </li>

                    <!-- Employee Dropdown -->
                    <div class="nav-item active dropdown show">

                        <a class="nav-link text-uppercase text-expanded dropdown-toggle" href="#" role="button"
                            id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Manage Employees
                        </a>
                        <div class="dropdown-menu" style="background-color: #e6a856e3"
                            aria-labelledby="dropdownMenuLink">
                            <li><a class="dropdown-item" href="createEmployee.html">Create Employee</a></li>
                            <li class="active"><a class="dropdown-item" href="employeeList.html">Master Employee
                                    List</a></l>
                            <li><a class="dropdown-item" href="#">Edit Employee</a></li>
                            <li><a class="dropdown-item" href="employeeByName.html">Search Employees</a></li>
                        </div>
                    </div>

                    <!---------------------------------------->


                    <!-- Timesheet Dropdown -->
                    <div class="nav-item dropdown show">

                        <a class="nav-link text-uppercase text-expanded dropdown-toggle" href="#" role="button"
                            id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Timesheets
                        </a>
                        <div class="dropdown-menu" style="background-color: #e6a856e3"
                            aria-labelledby="dropdownMenuLink">
                            <li><a class="dropdown-item" href="createTimesheet.html">Create Timesheet</a></li>
                            <li><a class="dropdown-item" href="#">Personal Timesheets</a></li>
                            <li class="active"><a class="dropdown-item" href="timesheet.html">Master Timesheet</a></l>
                            <li><a class="dropdown-item" href="#">Edit Timesheet</a></li>
                        </div>
                    </div>

                    <!---------------------------------------->
                    <li class="nav-item px-lg-4">
                        <a class="nav-link text-uppercase text-expanded" href="adminCafe.html">Admin</a>
                    </li>
                    <li class="nav-item px-lg-4">
                        <a class="nav-link text-uppercase text-expanded" id="logout-link" href="login.html">Logout</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <section class="page-section about-heading">
        <div class="container">
            <img class="img-fluid rounded about-heading-img mb-3 mb-lg-0" src="../Images/about.jpg" alt="">
            <div class="about-heading-content">
                <div class="row">
                    <div class="col-xl-9 col-lg-10 mx-auto">
                        <div class="bg-faded rounded p-5">
                            <h2 class="section-heading mb-4">
                                <span class="section-heading-upper">Welcome to
                                    your</span>
                                <span class="section-heading-lower">Create Employee</span>
                            </h2>


                            <!--Section: New Employee Form-->

                            <form id="employee-timesheet-form">

                                <!-- Auto Date Display -->

                                <div class="col align-self-center col-4">
                                    <label for="timesheet-date">Date</label>
                                    <br>
                                    <p>
                                        <script>document.write(new Date().toLocaleDateString());</script>
                                    </p>
                                </div>

                                <p id="warnTest" style="color: red"></p>


                                <form>
                                    <div class="form-group row">
                                      <label class="col-sm-2 col-form-label">First Name</label>
                                      <div class="col-sm-10">
                                        <input type="text" id="first-name" class="form-control" placeholder="Enter Employee First Name">
                                      </div>
                                    </div>
                                    <div class="form-group row">
                                      <label  class="col-sm-2 col-form-label">Last Name</label>
                                      <div class="col-sm-10">
                                        <input type="text" id="last-name" class="form-control" placeholder="Enter Employee Last Name">
                                      </div>
                                    </div>
                                  <!-- Admin Checkbox -->
                                    <div class="form-group row">
                                      <div class="col-sm-2">Access</div>
                                      <div class="col-sm-10">
                                        <div class="form-check">
                                          <input class="form-check-input" type="checkbox" id="admin">
                                          <label class="form-check-label" for="gridCheck1">
                                            Admin
                                          </label>
                                        </div>
                                      </div>
                                    </div>
                                  </form>
                                  <br>

                                <!-- Div to justify buttons -->
                                <div class="row justify-content-evenly">
                                    <div class=".col-md">
                                        <!-- Go back button -->
                                        <button class="btn btn-secondary" type="link">Cancel</button>
                                    </div>
                                    <div class="col-md">

                                        <!-- Submit Timesheet Button -->
                                        <button id="submitEmployee" class="btn
                                            btn-primary" type="submit">Submit
                                            </button>
                                    </div>
                                </div>
                                <!-- Hidden success or failure messgage -->
                                <div id="create-msg" hidden></div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <footer class="footer text-faded text-center py-5">
        <div class="container">
            <p class="m-0 small">Copyright &copy; Cafe Latte 2021</p>
        </div>
    </footer>

    <!-- Bootstrap core JavaScript -->
    <script src="../vendor/jquery/jquery.min.js"></script>
    <script src="../vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="../JAVASCRIPT/createEmployee.js"></script>
    <script src="../JAVASCRIPT/server-requests.js"></script>


</body>

</html>